    import TextareaBinding from 'yjs/src/Bindings/TextareaBinding.js'

public class | source

# TextareaBinding

#### Extends:

Binding → TextareaBinding

A binding that binds a YText to a dom textarea.

This binding will automatically be destroyed when it's parent is deleted

#### Example:

      const textare = document.createElement('textarea')
      const type = y.define('textarea', Y.Text)
      const binding = new Y.QuillBinding(textarea, type)

## Constructor Summary

Public Constructor
public | constructor () |

## Method Summary

Public Methods
public | destroy () |

## Inherited Summary

From class Binding
public | target : * |
public | type : * |
public | destroy () Remove all data observers (both from the type and th target). |

## Public Constructors

### public constructor() source

#### Override:

Binding#constructor

## Public Methods

### public destroy() source

Remove all data observers (both from the type and th target).

#### Override:

Binding#destroy